/{organizationId}/{mandateId}/receipts/invoice/{receiptId}Update invoice receipt
Updates an existing invoice receipt if it has no committed postings yet for a given mandate
Required permissions:
mandate.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired receiptIdstringrequired Request Body required
Content-Type: application/json
draftbooleanrequired deliveryDateTypestring | nullrequired Options:
deliverydeliveryPeriodserviceservicePeriodtitlestringrequired minLength: 1
maxLength: 30
introstringrequired maxLength: 2000
accountintegerrequired minimum: 1
maximum: 999999999
isNetbooleanoptional receiptDatestringrequired dueDatestringrequired ObjectId as string
ObjectId as string
ObjectId as string
ObjectId as string
Default: ""
sendMethodstringoptional Default: "none"
Options:
noneemailpostalaccountNamestringoptional Default: ""
receiptNumberstring | nulloptional Default: null
maxLength: 30
customerTypestringoptional Default: "debtor"
Options:
debtorcustomermemberbookingDefault: []
deliveryDatestring | nulloptional deliveryDateStartstring | nulloptional deliveryDateEndstring | nulloptional descriptionstringoptional Default: ""
maxLength: 140
refundbooleanoptional Default: false
notestringoptional Default: ""
maxLength: 2000
discountintegeroptional Default: 0
minimum: 0
maximum: 9999999999
discountTypestringoptional Default: "%"
Options:
%amountinvoiceTypestringoptional Default: "invoice"
Options:
invoiceinvoiceMembershipFeeinvoiceBookingpaymentTermsstringoptional maxLength: 2000
minItems: 1
paymentSepaCreditTransferIdstringoptional supplierNumberstringoptional Default: ""
maxLength: 32
doNotSendReceiptbooleanoptional Default: false
queueReceiptDocumentbooleanoptional Default: false
electronicbooleanoptional Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/receipts/invoice/{receiptId}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"draft": true,
"address": {
"country": "string",
"zip": "string",
"city": "string",
"addressLine": "string"
},
"deliveryDateType": "delivery",
"title": "string",
"intro": "string",
"account": 1,
"receiptDate": "string",
"dueDate": "string",
"positions": [
{
"unitAmount": 0,
"discount": 0,
"description": "string",
"account": 1
}
]
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
alreadyCollectedbooleanoptional Response
{
"_id": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}